Bug 616316 - Failed to load module "module -alsa-card"
Failed to load module "module -alsa-card"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 03:06 EDT by Yaniv Kaul
Modified: 2013-07-03 21:59 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2010-07-20 03:06:36 EDT
Description of problem:

When resuming from suspend, my laptop (Lenovo T500) failed to resume. The last message in /var/log/messages was:

Jul 20 09:33:21 ykaul pulseaudio[1624]: module-alsa-card.c: Failed to find a wor
king profile.
Jul 20 09:33:21 ykaul pulseaudio[1624]: module.c: Failed to load  module "module
-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="
alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no card_properties="modul
e-udev-detect.discovered=1""): initialization failed.

Version-Release number of selected component (if applicable):
pulseaudio-module-x11-0.9.21-6.fc13.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2010-08-02 18:25:48 EDT
These messages show no problem. PA simply tried to configure your thinkpad EC volume control for PCM output, which failed, which is expected. Nothing wrong here.

If your machine fails to resume, then it is a kernel problem. Reassigning.
Comment 2 Bug Zapper 2011-06-01 09:22:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Yaniv Kaul 2011-06-01 09:54:57 EDT
(In reply to comment #1)
> These messages show no problem. PA simply tried to configure your thinkpad EC
> volume control for PCM output, which failed, which is expected. Nothing wrong
> here.

There's is something wrong - the poor error message. If no harm done, lets not be so dramatic "initialization failed." and such.

If it's indeed expected, it should be failing in such a way.

> 
> If your machine fails to resume, then it is a kernel problem. Reassigning.
Comment 4 Bug Zapper 2011-06-29 09:14:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jakub Kramarz 2012-06-10 17:02:40 EDT
I: [pulseaudio] (alsa-lib)pcm.c: Unknown PCM iec958:29
I: [pulseaudio] alsa-util.c: Error opening PCM device iec958:29: No such file or directory
E: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
E: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
I: [pulseaudio] module-udev-detect.c: Card /devices/platform/thinkpad_acpi/sound/card29 (alsa_card.platform-thinkpad_acpi) failed to load module.
I: [pulseaudio] module-udev-detect.c: Found 2 cards.


pulseaudio-1.1-9.fc17.x86_64
alsa-plugins-pulseaudio-1.0.25-3.fc17.x86_64

What about fixing it in FC17?

Note You need to log in before you can comment on or make changes to this bug.